Subject: Re: bug#76394: mouse-face property not working in tab-bar

From: Ship Mints <[email-masked]>
Date: Thu, 27 Feb 2025 13:43:54 -0500

I assumed you knew how to use tab-bar :) I rarely use emojis but this one I
couldn't help myself.

It also works with mouse-face on any spans of glyphs embedded in the name
string.

On Thu, Feb 27, 2025 at 1:42 PM Juri Linkov <[email-masked]> wrote:

> > (defun my/tab-bar-tab-name-format-function (tab i)
> >   (propertize
> >    (tab-bar-tab-name-format-default tab i)
> >    'mouse-face '(:inverse-video t))) ; or a named face
> > (setopt tab-bar-tab-name-format-function
> > #'my/tab-bar-tab-name-format-function)
> >
> > And move the mouse over the tab. It should invert. It does for me.
>
> Thanks, now it works.  The requirement is that the tab-bar-mode
> should be disabled before evaluating the above code.  Otherwise,
> with already enabled tab-bar-mode it has no effect.
>